From 2af118cc228c7c54388a26bc64873e79278d67c6 Mon Sep 17 00:00:00 2001
From: "Hahn Axel (hahn)" <axel.hahn@iml.unibe.ch>
Date: Thu, 24 Nov 2022 15:58:32 +0100
Subject: [PATCH] tar -xzf without dot as 2nd param

---
 deploy_app.sh | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/deploy_app.sh b/deploy_app.sh
index 2e8c57e..808436f 100755
--- a/deploy_app.sh
+++ b/deploy_app.sh
@@ -11,6 +11,7 @@
 # 2021-07-08  v0.5  <axel.hahn@iml.unibe.ch>  added function "runas"
 # 2021-11-01  v0.6  <axel.hahn@iml.unibe.ch>  save config diffs
 # 2021-11-02  v0.7  <axel.hahn@iml.unibe.ch>  delete logs keping N files
+# 2022-11-24  v0.8  <axel.hahn@iml.unibe.ch>  tar -xzf without dot as 2nd param
 # ======================================================================
 
 
@@ -210,9 +211,9 @@ function deploy(){
 
 
     # ----------------------------------------------------------------------
-    header "Extract ${downloadfile} $( pwd )"
+    header "Extract ${downloadfile} in $( pwd )"
     test $isupdate -eq 0 && echo $skipmessage
-    test $isupdate -eq 0 || tar -xzf "${downloadfile}" . || exit 3
+    test $isupdate -eq 0 || tar -xzf "${downloadfile}" || exit 3
     ls -l
 
 
-- 
GitLab